<?php
if (Admin::logado() != true) {
    header('Location: login');
}
$users = Admin::getUsers();
?>
<?php include('partials/header_admin.php'); ?>
<div>
    <div class="titulo">
        <i class="fa-solid fa-bars btn-menu"></i>
        <h1>
            Editar usuario
        </h1>
    </div>
    <div class="row">
        <div class="item">
            <?php
            if (isset($_GET['apagar'])) {
                $id = $_GET['apagar'];
                $sql = Mysql::conectar()->prepare("DELETE FROM usuarios WHERE id = ?");
                if ($sql->execute(array($id))) {
                    header('Location: editar');
                } else {
                }
            }
            ?>
            <br><br>
            <table>
                <tr>
                    <th>ID</th>
                    <th>Nome</th>
                    <th>Status</th>
                    <th>CPF</th>
                    <th>Telefone</th>
                    <th>Saldo</th>
                    <th>Ações</th>
                </tr>
                <?php
                foreach ($users as $user):
                ?>

                    <tr>
                        <td><?= $user['id'] ?></td>
                        <td><?= $user['nome'] ?></td>
                        <td>
                            <?php
                            if($user['status'] == 'pendente'){                      
                                echo "<i class='fa-solid fa-circle' style='color: red;'></i> " . $user['status'];
                            }else if($user['status'] == 'ativo'){
                                echo "<i class='fa-solid fa-circle' style='color: green;'></i> " . $user['status'];
                            }else if($user['status'] == 'finalizado'){
                                echo "<i class='fa-solid fa-circle' style='color: blue;'></i> " . $user['status'];
                            }
                            ?>
                        </td>
                        <td><?= $user['cpf'] ?></td>
                        <td><?= $user['telefone'] ?></td>
                        <td><?= $user['saldo'] ?></td>
                        <td class="acoes">
                            <form action="edicao" method="post">
                                <input type="hidden" name="id" value="<?= $user['id'] ?>">
                                <button style="background-color:orange;" href=""> <i class="fa-solid fa-pen-to-square"></i> Editar</button>
                            </form>

                            <a href="?apagar=<?= $user['id'] ?>"> <i class="fa-solid fa-trash"></i> Apagar</a>
                        </td>
                    </tr>

                <?php
                endforeach;
                ?>

            </table>
        </div>
    </div>
</div>


<?php include('partials/footer_admin.php'); ?>