function VerificaCPF(strCpf) {

    let cpflimpo = strCpf.match(/\d/g).join("");
    console.log(cpflimpo)
    var soma;
    var resto;
    soma = 0;
    if (cpflimpo == "00000000000" || cpflimpo == "11111111111" || cpflimpo == "22222222222" && cpflimpo == "33333333333" && cpflimpo == "44444444444") {
        document.getElementById('cpfinvalido').style.color = "red";
        document.getElementById('cpfinvalido').style.fontWeight = "bold";
        document.getElementById('cpfinvalido').innerHTML = 'CPF INVALIDO';
        return false;
    }

    for (i = 1; i <= 9; i++) {
        soma = soma + parseInt(cpflimpo.substring(i - 1, i)) * (11 - i);
    }

    resto = soma % 11;

    if (resto == 10 || resto == 11 || resto < 2) {
        resto = 0;
    } else {
        resto = 11 - resto;
    }

    if (resto != parseInt(cpflimpo.substring(9, 10))) {
        document.getElementById('cpfinvalido').style.color = "red";
        document.getElementById('cpfinvalido').style.fontWeight = "bold";
        document.getElementById('cpfinvalido').innerHTML = 'CPF INVALIDO';
        return false;
    }

    soma = 0;

    for (i = 1; i <= 10; i++) {
        soma = soma + parseInt(cpflimpo.substring(i - 1, i)) * (12 - i);
    }
    resto = soma % 11;

    if (resto == 10 || resto == 11 || resto < 2) {
        resto = 0;
    } else {
        resto = 11 - resto;
    }

    if (resto != parseInt(cpflimpo.substring(10, 11))) {
        document.getElementById('cpfinvalido').style.color = "red";
        document.getElementById('cpfinvalido').style.fontWeight = "bold";
        document.getElementById('cpfinvalido').innerHTML = 'CPF INVALIDO';
        return false;
    }


    if (cpflimpo == "00000000000" || cpflimpo == "11111111111" || cpflimpo == "22222222222" || cpflimpo == "33333333333" || cpflimpo == "44444444444" || cpflimpo == "55555555555" || cpflimpo == "66666666666" || cpflimpo == "77777777777" || cpflimpo == "88888888888" || cpflimpo == "99999999999") {
        document.getElementById('cpfinvalido').style.color = "red";
        document.getElementById('cpfinvalido').style.fontWeight = "bold";
        document.getElementById('cpfinvalido').innerHTML = 'CPF INVALIDO';
        return false;
    }else{
        /* document.getElementById('btn2').disabled = false;
        document.getElementById('cpfinvalido').style.color = "green";
        document.getElementById('cpfinvalido').style.fontWeight = "bold";
        document.getElementById('cpfinvalido').innerHTML = 'CPF VALIDO4';
        return true; */
    }
    document.getElementById('btn2').disabled = false;
    document.getElementById('cpfinvalido').style.color = "green";
    document.getElementById('cpfinvalido').style.fontWeight = "bold";
    document.getElementById('cpfinvalido').innerHTML = 'CPF VALIDO';
    return true;
}