<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>

    <!-- CSS -->
    <link rel="stylesheet" href="assets/css/style.css">
    
    <!-- GOOGLE FONTE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

    <!-- ICONES -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css" integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    
    <!-- FAVICON -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
</head>

<body>
    <div class="dashboard">

        <header>
            <div>
                <a style="color: #ffcc00" href="<?=Site::getWhats();?>"><i class="fa-solid fa-message"></i></a>
                <a style="color: #ffcc00" href="sair"><i class="fa-solid fa-right-from-bracket"></i></a>
            </div>
        </header>

        <div style="display: flex;align-items: center;">
            <img src="assets/images/brazil-circular.png" height="40px">
            Conta investimento
        </div>

        <div>
            <h3>Olá,<span><?= Usuario::getName($_SESSION['id']) ?></span></h3>
            <small style="color:#aaa;">Seu consultor(a) é: Thais Dantas</small>
        </div>
        <br><br>
        <div>
            <p style="color:#aaa;font-size:12px">Saldo</p>
            <p style="font-weight:bold;font-size:20px">R$<?php
                                                            $valor = Usuario::getSaldoH($_SESSION['id']);
                                                            echo number_format($valor, 2, ',', '.');
                                                            ?></p>
            <p style="color:#aaa;font-size:12px">Lançamentos futuros</p>
            <p style="font-weight:bold;font-size:20px">R$<?php
                                                            $saldo = (int)Usuario::getSaldoFuturo($_SESSION['id']);
                                                            echo number_format($saldo, 2, ',', '.');
                                                            ?></p>
        </div>

        <br>
        <?php
        
        
        ?>
        <div style="display: flex; justify-content: space-around">
            <a href="<?= Site::getWhats()?>" class="btn-amarelo padrao"> <i class="fa-solid fa-arrow-up"></i> Depósito</a>
            <a href="retirada" class="btn-amarelo padrao"> <i class="fa-solid fa-arrow-down"></i> Saque</a>
            <a href="contrato" class="btn-amarelo padrao"> <i class="fa-solid fa-download"></i> Contrato</a>
            <!-- <a href="" class="btn-amarelo padrao">Download Contrato</a> -->
        </div>
        <br>