<?php
if(Usuario::logado() != true){
    header('Location: login');
}
?>
<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Depositar</title>

    <!-- CSS -->
    <link rel="stylesheet" href="assets/css/retirada.css">

    <!-- ICONES -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css" integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <!-- GOOGLE FONTE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
</head>

<body>
    <section class="bg-black main">
        <div class="logo">
            <img src="assets/images/fx.png" height="50px" alt="">
        </div>

        <div style="color:white;padding:30px;font-size:1.5rem">
            <h1>Saque</h1>
            <p style="font-size: 0.9rem;color:#aaa">Digite o valor de saque </p>
        </div>


        <form action="" method="post">


            <div class="input-saque">
                <input type="number" name="saque" required>
            </div>
            <div class="btn-copiar">
                <button style="background-color:#25d366;color:white;font-weight:bold;width: 80%"> Confirmar saque</button>
            </div>

            <div class="btn-cancelar-saque">
                <a href="dashboard" style="color:white; background-color:red;text-decoration:none; width: 80%; font-weight:bold;font-size:14px" href="">Cancelar</a>
            </div>
            <?php
                if(isset($_POST['saque'])){
                    $saque = (int)$_POST['saque'];
                    if($saque > Usuario::getAmount($_SESSION['id'])){
                        echo '<p style="color:#f00;text-align:center;padding:5px;">Saldo insuficiente</p>';
                    }else{
                        echo '<p style="color:#0f0;text-align:center;padding:5px;">Solicitação de saque realizadada com sucesso</p>';
                    }
                }
            ?>
        </form>
        <br><br>
        <div class="regras">
            <h4>- Leia atentamente as regras</h4>
            <br>
            <p>O valor mínimo para Saque via pix é de <b>R$ 500,00</b></p><br>
            <p>Não aceitamos saques para conta de terceiros, o saque só será autorizado para uma conta do mesmo cpf/cnpj do titular</p><br>
            <p>Todos os saque passa por uma segunraça interna de nossos operadores</p><br>
            <p>Se for preciso nossos operadores solicitarão a instalação do modulo de segurança para realizar seu primeiro saque</p><br>
        </div>
    </section>
</body>

</html>