<?php
class Admin
{
    public static function logado()
    {
        if (isset($_SESSION['logado'])) {
            return true;
        } else {
            return null;
        }
    }

    public static function alerta($texto, $cor)
    {
        echo "<p style='color:$cor;text-align:center;'>" . $texto . "<p>";
    }

    public static function getUsers()
    {
        $sql = Mysql::conectar()->prepare("SELECT * FROM usuarios ORDER BY id DESC");
        $sql->execute();
        $users = $sql->fetchAll(PDO::FETCH_ASSOC);
        return $users;
    }

    public static function getUser($id)
    {
        $sql = Mysql::conectar()->prepare("SELECT * FROM usuarios WHERE id = ?");
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);
        return $user;
    }

    public static function updateUser($id, $email, $senha, $telefone, $banco, $chave, $nome, $sobrenome, $cpf, $saldo, $copiaecola,$saldofuturo)
    {
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET email = ?, senha = ?, telefone = ?, banco = ?, chave = ?, nome = ?, sobrenome = ?, cpf = ?, saldo = ?, copiaecola = ?, saldo_futuro = ? WHERE id = ?");
        $sql->execute(array($email, $senha, $telefone, $banco, $chave, $nome, $sobrenome, $cpf, $saldo, $copiaecola, $saldofuturo, $id));
        header("Location: editar");
    }

    public static function getTotalUsers()
    {
        $sql = Mysql::conectar()->prepare("SELECT * FROM usuarios");
        $sql->execute();
        $totalUsers = $sql->rowCount();
        return $totalUsers;
    }

    public static function setPlano($id)
    {
        $vencimento = time() + 3600;
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET plano = ?, vencimento = ? WHERE id = ?");
        $sql->execute(array('true', $vencimento, $id));
        header('Location: editar');
    }

    public static function getPlano($id)
    {
        $sql = Mysql::conectar()->prepare("SELECT * FROM usuarios WHERE id = ?");
        $sql->execute(array($id));
        $user = $sql->fetch(PDO::FETCH_ASSOC);

        return $user['plano'];
    }

    public static function setRendimento(){
        $sql = Mysql::conectar()->prepare("UPDATE usuarios SET saldo ");
    }
}
