<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Contrato</title>

    <!-- FONTE GOOGLE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap" rel="stylesheet">

</head>

<body>
    <div style="margin:20px 80px;font-family:Inter,sans serif;">

        <div style="text-align: center;">
            <img src="assets/images/fx.png" height="50px" alt="">
        </div>
        <p>
            Pelo presente termo, venho manifestar minha adesão cujo informo que meus dados são verdadeiros cujo nome: <strong style="text-transform: capitalize;"><?= $_SESSION['nome'] ?> <?= $_SESSION['sobrenome'] ?></strong>, portador do CPF <strong><?= $_SESSION['cpf'] ?></strong> registrado com o e-mail <strong><?= $_SESSION['email'] ?></strong>, e concordância das regras e condições do fundo de investimento <strong>XP</strong>, informo meu banco <strong><?= $_SESSION['banco'] ?></strong> e receberei através da Chave Pix, <strong><?= $_SESSION['chave'] ?></strong>, que a distribuição do Fundo será feita e administrado através do consultor(a): <strong>Viviane </strong> ("GESTOR(A)"), atestando que:
        </p>

        <p>
            <strong>A)</strong> - Tive acesso, a plataforma antes da assinatura desse termo.<br>
        </p>


        <p>
            <strong>B)</strong> - Estou ciente que a distribuição do Fundo será feita (i) pela XP Investimentos CCTVM S/A ("DISTRIBUIDOR"' ou "XP") e/ou (ii) por agentes autônomos de investimentos ("AAIs") contratados pela XP. Os AAIs são remunerados pela distribuição de cotas do Fundo.
        </p>

        <p>
            <strong>C)</strong> - Estou ciente que o DISTRIBUIDOR está autorizado a realizar a subscrição das cotas do Fundo por conta e ordem de seus respectivos clientes, na forma dos artigos 30 e seguintes da Instrução CVM n° 555/2014;
        </p>

        <p>
            <strong>D)</strong> - Estou ciente de que há garantia patrimoniais do Fundo de investimentos aportado. São assegurados com a garantia do administrador, do gestor, de qualquer mecanismo de seguro ou, ainda, do Fundo Garantidor de Créditos - FGC;
        </p>

        <p>
            <strong>E)</strong> - Estou ciente dos fatores de que a conta criada na plataforma poderá/ou não passar por analise, e que poderá/ou não ser solicitado ao cliente a <strong>INSTALAÇÃO DO MÓDULO DE SEGURANÇA XP</strong> sendo que tenho compreensão dos principais fatores relacionados ao sistema anti-fraude XP, prezamos por segurança da plataforma e dos saques solicitados pelo cliente.
        </p>

        <p>
            <strong>F)</strong> - Para que haja recebimento do lucro depende do cumprimento das instruções dadas pelo gestor para que a liberação do valor investido seja feita corretamente. <br><br>
        </p>



        <!-- Aqui poderia ter mais cláusulas e informações relevantes ao contrato -->

        <p>
            <span> Assinatura do Contrato de Serviço & Seguro: </span>
        </p>

        <p>
            Nome: <?= $_SESSION['nome'] ?> <?= $_SESSION['sobrenome'] ?>
        </p>
        <hr>
        <div style="text-align: center;">
            <img src="<?= Usuario::getAssinaturaImg($_SESSION['id']) ?>" alt="">
            <br>
            <small>Assinado digitalmente</small>
        </div>
    </div>
</body>
<script>
    print();
    //window.location.href = 'https://forexfast.online/dashboard';
</script>
</html>