<?php
if (Usuario::logado() != true) {
    header('Location: login');
}
?>
<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Depositar</title>

    <!-- CSS -->
    <link rel="stylesheet" href="assets/css/depositar.css">

    <!-- ICONES -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css" integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg==" crossorigin="anonymous" referrerpolicy="no-referrer" />

    <!-- GOOGLE FONTE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">
</head>

<body>
    <section class="bg-black main">
        <div class="logo">
            <img src="assets/images/fx.png" height="50px" alt="">
        </div>
        <?php
        if (Usuario::getStatus($_SESSION['id']) == 'finalizado') {
            echo '
            <div id="popup1">
            <br><br>
            <h1><i class="fa-solid fa-triangle-exclamation"></i></h1>
            <br>
            <h3 style="text-align:center">Parece que você já efetuou um investimento, aguarde até que possa efetuar outro.</h3>
            <br><br>
            <div class="btn">
                <a href="dashboard" style="background-color:#7b97e0;color:white;font-weight:bold;text-decoration:none;" id="link_whats"> <i class="fa-solid fa-chevron-left"></i> Voltar</a>                
            </div>
            <br>
    ';
        } else if (Usuario::getStatus($_SESSION['id']) == 'ativo') {
            echo '
    <div id="popup1">
            <br><br>
            <h1><i class="fa-solid fa-triangle-exclamation"></i></h1>
            <br>
            <h3 style="text-align:center">Parece que você já esta em um investimento no momento aguarde terminar para que possa investir novamente.</h3>
            <br><br>
            <div class="btn">
                <a href="dashboard" style="background-color:#7b97e0;color:white;font-weight:bold;text-decoration:none;" id="link_whats"> <i class="fa-solid fa-chevron-left"></i> Voltar</a>                
            </div>
            <br>
    ';
        } else {
        ?>


            <div class="qrpix">
                <img src="assets/images/qrpx.png" width="60%" alt="">
            </div>

            <div class="input-copiar">
                <input id="text" value="<?= Usuario::getQrPix($_SESSION['id']) ?>" />
            </div>

            <div class="btn-copiar">
                <button id="copy" style="background-color:#7b97e0;color:white;font-weight:bold"> <i class="fa-solid fa-copy"></i> Copiar código QR Code </button>
            </div>

            <div class="btn-depositar">
                <a href="<?= Site::getWhats(); ?>" style="background-color:#25d366;color:white;font-weight:bold"> <i class="fa-brands fa-whatsapp"></i> Enviar comprovante</a>
                <a href="dashboard" style="background-color:#f00;color:white;font-weight:bold">Cancelar</a>
            </div>

            <div class="regras">
                <h4>- Leia atentamente as regras</h4>
                <br>
                <p>Valor mínimo para depósito via pix é de <b>R$ 1.000,00</b></p><br>
                <p><b>Não aceitamos depósitos de terceiros</b>, ou seja, o valor depositado deve vir de uma conta com o seu CPF/CNPJ.</p><br>
                <p>Copie o código PIX abra seu Aplicativo do Banco, cole o PIX copiado, insira o valor e pronto.</p><br>
                <p><b>Envie o comprovante de Depósito</b> para seu consultor(a).</p><br>
            </div>

            <div id="popup">
                <div class="fechar">
                    <i id="btn-close" class="fa-solid fa-xmark" style="color:white;font-size:20px"></i>
                </div>
                <br><br>
                <h5 style="text-align:center">Atenção após efetuar o pagamento é necessario encaminhar o comprovante para o gestor via Whatsapp e clicar em JÁ EFETUEI O PAGAMENTO</h5>
                <br>
                <div>
                    <div id="cro">
                        <input type="text" class="cronometro" value="00:00" readonly />
                    </div><br />
                </div>
                <div class="btn">
                    <a href="<?= Site::getWhats(); ?>" target="_blank" style="background-color:#25d366;color:white;font-weight:bold;text-decoration:none;" id="link_whats"> <i class="fa-brands fa-whatsapp"></i> Enviar comprovante</a>
                    <form action="confirma-pagamento" method="POST" id="form">
                        <input type="hidden" name="pagamentoefetuado" value="pagamentoefetuado">
                        <button style="background-color:#7b97e0;color:white;font-weight:bold;text-decoration:none;" id="efetuei"> <i class="fa-solid fa-check"></i> JÁ EFETUEI O PAGAMENTO</button>
                        <?php
                        if (isset($_POST['pagamentoefetuado'])) {
                            echo 'pagamento';
                        }
                        ?>
                    </form>
                </div>

            </div>
            <script type="text/javascript">
                let clicou = 0;

                const btn_whats = document.getElementById('link_whats').addEventListener('click', function() {
                    clicou = 2
                })

                //FORM 
                const form = document.getElementById('form')

                form.addEventListener('submit', function(event) {
                    event.preventDefault();
                    if (clicou > 1) {
                        form.submit()
                    } else {
                        alert('É necessario o envio do comprovante via Whatsapp');
                    }
                })


                const textInput = document.getElementById('text');
                const copyButton = document.getElementById('copy');

                document.getElementById("btn-close").addEventListener('click', function() {
                    document.getElementById('popup').style.display = 'none'
                })

                copyButton.addEventListener('click', () => {
                    console.log('clicou no botao manda o popup')
                    temporizador(120)
                    setTimeout(function() {
                        document.getElementById('popup').style.display = 'block'
                    }, 500)
                    textInput.select();
                    document.execCommand('copy');
                });





                /* TIMER */

                var tempo = 0; // tempo em segundos
                var working = false; // sinaliza se o timer está ativado	
                var intervaloID = 0; // identificação do intervalo que permite limpá-lo

                function exibeTempo() {
                    let min = parseInt(tempo / 60); // Pega a parte inteira dos minutos		
                    let seg = tempo % 60; // Calcula os segundos restantes
                    let smin = min.toString().padStart(2, '0'); // Formata o número em duas casas
                    let sseg = seg.toString().padStart(2, '0');

                    let tempoTela = smin + ':' + sseg; // Variável para formatar no estilo cronômetro
                    document.querySelector(".cronometro").value = tempoTela;
                    tempo--;

                    if (tempo < 0) { // zera temporizador
                        working = false;
                        clearInterval(intervaloID);
                        document.querySelector(".cronometro").style.backgroundColor = '#ccc';
                    } else if (tempo < 15) { // alerta dos 15 seg. finais
                        document.querySelector(".cronometro").style.backgroundColor = 'red';
                        document.querySelector(".cronometro").innerHTML = 'Tempo esgotado';
                    }
                }

                function temporizador(t) {
                    if (working == false) {
                        working = true;
                        tempo = t;
                        exibeTempo();
                        intervaloID = setInterval(exibeTempo, 1000); // 1s					
                    }
                }
            </script>
    </section>
</body>

</html>
<?php
        }
?>