<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>XP Investimentos</title>

    <!-- CSS -->
    <link rel="stylesheet" href="assets/css/style.css">

    <!-- GOOGLE FONTE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

    <!-- ICONES -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css" integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    
    <!-- FAVICON -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
</head>

<body>
    <header class="menu">
        <div>
            <img src="assets/images/fx.png" height="40px" alt="">
        </div>
        <div>
            <a href="login" class="btn-cadastro">Entrar</a>
        </div>
    </header>
    <form action="sucesso" method="post" class="form-cadastro" id="form-cadastro" >
        <h2>Faça seu cadastro </h2>


        <div class="aviso" id="aviso">
            <p style="color: red; text-align:center;"> <i class="fa-regular fa-circle-xmark"></i> Preencha os dados corretamente</p>
        </div>

        <section class="bg-black step-1" id="step-1">
            <div>
                <div>
                    <label for="">Nome:</label><br>
                    <input type="text" placeholder="Nome" id="nome" name="nome" required>
                </div>
                <br>
                <div>
                    <label for="">Sobrenome:</label><br>
                    <input type="text" placeholder="Sobrenome" id="sobrenome" name="sobrenome" required>
                </div>
                <br><br><br>
                <button type="button" class="btn-continuar" id="btn1">Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>

        <section class="bg-black step-2" id="step-2">
            <div>
                <div>
                    <label for="">CPF:</label><br>
                    <input type="text" placeholder="CPF" id="cpf" name="cpf" onkeyup="document.getElementById('validation').innerHTML = VerificaCPF(this.value)" required>
                </div>
                <br>
                <div id="cpfinvalido"></div>
                <!-- <div id="validation"></div> -->
                <br>
                <button type="button" class="btn-continuar" id="btn2" disabled>Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>

        <section class="bg-black step-3" id="step-3">
            <div>
                <div>
                    <label for="">Escolha seu plano:</label><br>
                    <select name="plano" id="plano" required>
                        <option value="Bronze">Bronze - De R$1 mil a R$10 mil</option>
                        <option value="Prata">Prata - De R$10 mil a R$50 mil</option>
                        <option value="Ouro">Ouro - De R$50 mil a R$100 mil</option>
                        <option value="Diamante">Diamante - Acima de R$100 mil</option>
                    </select>
                </div>
                <br>
                <div>
                    <label for="">Quanto deseja investir ?</label>
                    <input type="number" name="investimento">
                </div>
                <br><br><br>
                <button type="button" class="btn-continuar" id="btn3">Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>
        <section class="bg-black step-4" id="step-4">
            <div>
                <div>
                    <label for="">Chave pix para saque:</label><br>
                    <input type="text" placeholder="Chave para saque" id="chave" name="chave" required>
                </div>
                <br><br><br>
                <button type="button" class="btn-continuar" id="btn4">Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>

        <section class="bg-black step-5" id="step-5">
            <div>
                <div>
                    <label for="">Digite o nome do banco correspondente a chave pix:</label><br>
                    <input type="text" placeholder="Seu banco principal" id="banco" name="banco" required>
                </div>
                <br><br><br>
                <button type="button" type="button" class="btn-continuar" id="btn5">Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>

        <section class="bg-black step-6" id="step-6">
            <div>
                <div>
                    <label for="">Telefone:</label><br>
                    <input type="text" placeholder="Telefone" id="telefone" name="telefone" required>
                </div>
                <br><br><br>
                <button type="button" class="btn-continuar" id="btn6">Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>

        <section class="bg-black step-7" id="step-7">
            <div>
                <div>
                    <label for="">Email:</label><br>
                    <input type="email" placeholder="Email" id="email" name="email" required>
                </div>
                <br><br><br>
                <button type="button" class="btn-continuar" id="btn7">Continuar</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>

        <section class="bg-black step-8" id="step-8">
            <div>
                <div>
                    <label for="">Cadastre uma senha:</label><br>
                    <input type="password" placeholder="Senha" id="senha" name="senha" required>
                </div>
                <br>
                <div id="senha-criterios" style="font-size:12px !important;">
                    <p style="font-size:16px !important;color:#FFFFFF;"> Sua senha deve conter:</p>
                    <span id="senha-letras" style="color: red;">Letra (A-Z)</span><br>
                    <span id="senha-especiais" style="color: red;">Caractere especial (@$#_)</span><br>
                    <span id="senha-numeros" style="color: red;">Número (0-9)</span><br>
                    <span id="senha-minimo" style="color: red;">Mínimo 8 dígitos (********)</span>
                </div>
                <br>
                <button type="submit" class="btn-continuar" id="finalizar" disabled>Finalizar cadastro</button>
            </div>
            <?php include("partials/footer2.php") ?>
        </section>
    </form>
    <script src="assets/js/jquery-3.7.1.min.js"></script>
    <script src="assets/js/script.js"></script>
    <script src="assets/js/validacpf.js"></script>


</body>

</html>