<!DOCTYPE html>
<html lang="pt-br">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>XP Investimentos</title>

    <!-- CSS -->
    <link rel="stylesheet" href="assets/css/style.css">

    <!-- GOOGLE FONTE -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet">

    <!-- ICONES -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.6.0/css/all.min.css" integrity="sha512-Kc323vGBEqzTmouAECnVceyQqyqdsSiqLQISBL29aUW4U/M7pSPA/gEUZQqv1cwx4OnYxTxve5UMg5GT6L4JJg==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    
    <!-- FAVICON -->
    <link rel="shortcut icon" href="assets/images/favicon.png" />
</head>

<body>
    <header class="menu">
        <div>
            <img src="assets/images/fx.png" height="60px" alt="">
        </div>
    </header>

    <section class="bg-black">
        <div class="login">
            <h1>Fazer Login</h1>
            <p>Não tem uma conta ainda? <a href="inicio">Criar conta</a> </p>
            <br><br><br>
            <form action="" method="post">
                <div>
                    <input type="email" placeholder="Email" name="email" required>
                </div>
                <br>
                <div>
                    <input type="password" placeholder="Senha" name="senha" required>
                </div>
                <br><br><br>
                <button class="btn-continuar">Entrar</button>
            </form>

            <?php
            if (isset($_POST['senha'])) {
                $email = $_POST['email'];
                $senha = $_POST['senha'];
                Usuario::logar($email,$senha);
            }
            ?>

        </div>
        <br><br>
        <div class="termos">
            <small>
                Este site é protegido por reCAPTCHA, e seu uso é sujeito à <a target="_blank" href="https://policies.google.com/privacy">Política de Privacidade</a> e aos <a target="_blank" href="https://policies.google.com/terms">Termos de Serviço</a> do Google.</small>
        </div>
        <br><br><br>
        <p style="text-align: center;font-size:12px;">2025 XP Investimentos. Todos os direitos reservados.</p>
    </section>
</body>

</html>